summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 0f73746)
raw | patch | inline | side by side (parent: 0f73746)
author | Junio C Hamano <junkio@cox.net> | |
Sat, 10 Dec 2005 01:32:18 +0000 (17:32 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 10 Dec 2005 01:32:18 +0000 (17:32 -0800) |
This is just a belts-and-suspenders check, but makes sure we
have both "git" and "git-init-db" built, executable, and
checking.
Signed-off-by: Junio C Hamano <junkio@cox.net>
have both "git" and "git-init-db" built, executable, and
checking.
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 3704e5faf00dce399e859b7210f7d5a6477fc880..447d9e251752ece0f67edd745721fe7b7f9e7069 100755 (executable)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
test_done () {
trap - exit
case "$test_failure" in
- 0)
+ 0)
# We could:
# cd .. && rm -fr trash
# but that means we forbid any tests that use their own
rm -fr "$test"
mkdir "$test"
cd "$test"
-git init-db --template=../../templates/blt/ 2>/dev/null ||
+"$GIT_EXEC_PATH/git" init-db --template=../../templates/blt/ 2>/dev/null ||
error "cannot run git init-db"
mv .git/hooks .git/hooks-disabled
-